using Demo.Data.RemoteData.RemoteDataBase.DAO;
using Demo.domain.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Demo.Data.Repository
{
    public interface IUserRepository
    {
        IEnumerable<UserLocalEnity> GetAllUsers { get; }
        bool RemoveUserById(Guid userGuid);
        UserLocalEnity? UpdateUser(UserLocalEnity user);
        List<UserDao> GetUserNames();

    }
}
